(function() {
    angular
        .module('app.component')
        .directive('fileModel', fileModel);

        fileModel.$inject = ['alertService'];

        function fileModel(alertService) {
            var directive = {
                restrict: 'A',
                require: '?ngModel',
                link: link
            };
            return directive;

            function link(scope, element, attrs, ngModel) {
                element.bind('change', function(event) {
                    if (event.target.files[0].size >= 5000000) {
                        // the picture size should not more than 5M
                        alertService.autoShow('每张图片大小不超过5M，请重新上传');
                        $(event.target).val('');
                        return;
                    }
                    ngModel.$setViewValue(event.target.files[0]);
                    $(event.target).next('img#' + attrs.id + '-img').attr('src', URL.createObjectURL(event.target.files[0]));
                    //$(event.target).next('img#' + attrs.id + '-img').css('display', 'block');
                    $(event.target).next('img#' + attrs.id + '-img').show();
                });
            }
        }
})();
