(function() {
    angular
        .module('app.component')
        .directive('arkNumberSelector', arkNumberSelector);

    function arkNumberSelector() {
        var directive = {
            restrict: 'E',
            replace: true,
            templateUrl: 'templates/partials/number-selector.directive.html',
            link: link,
            scope: {
                value: '@',
                maxValue: '@',
                minValue: '@',
                disabledMinus: '@',
                disabledPlus: '@',
                changeEvent: '&'
            }
        };
        return directive;

        function link(scope, element, attrs) {
            scope.$watch('minValue', function () {
                if (!isNaN(parseInt(scope.minValue, 10))) {
                    scope.value = Math.max(scope.value, scope.minValue);
                    scope.minValue = parseInt(scope.minValue, 10);
                }
            });

            scope.$watch('maxValue', function () {
                if (!isNaN(parseInt(scope.maxValue, 10))) {
                    scope.value = Math.min(scope.value, scope.maxValue);
                    scope.maxValue = parseInt(scope.maxValue, 10);
                }
            });

            scope.$watch('value', function () {
                scope.disabledMinus = scope.value === scope.minValue;
                scope.disabledPlus = scope.value === scope.maxValue;
            });

            scope.minusNum = function() {
                if (--scope.value < scope.minValue) {
                    scope.value++;
                }
            };

            scope.plusNum = function() {
                if (++scope.value > scope.maxValue) {
                    scope.value--;
                }
            };
        }
    }
})();
