(function () {
    angular
        .module('app.component')
        .directive('arkProductItem', arkProductItem);

    arkProductItem.$inject = ['routerStateService', 'cartService'];

    function arkProductItem(routerStateService, cartService) {
        var directive = {
            restrict: 'E',
            replace: true,
            templateUrl: 'templates/partials/product-item.directive.html',
            link: link,
            scope: {
                brief: '@',
                flyToCart: '&',
                goProductDetail: '&',
                id: '@',
                imgUrl: '@',
                leftQuantity: '@',
                priceText: '@',
                showCartBtn: '@',
                title: '@'
            }
        };
        return directive;

        function link(scope, element, attrs) {
            scope.flyToCart = function () {
                cartService.flyToCart(scope.imgUrl);
                cartService.addToCart(scope.id, 1);
            };

            scope.goProductDetail = function () {
                routerStateService.go('product', {id: scope.id});
            };
        }
    }
})();
