(function() {
    angular
        .module('app.component')
        .directive('arkStarRating', arkStarRating);

    arkStarRating.$inject = ['appConf'];

    function arkStarRating(appConf) {
        var directive = {
            restrict: 'E',
            replace: true,
            templateUrl: 'templates/partials/star-rating.directive.html',
            link: link,
            require: '?ngModel',
            scope: {
                maxValue: '@',
                ratingValue: '=ngModel',
                updateStar: '&'
            }
        };
        return directive;

        function link(scope, element, attrs, ngModel) {
            if (scope.maxValue === undefined) {
                scope.maxValue = appConf.maxRatingStarValue;
            }

            scope.$watch('ratingValue', function() {
                scope.stars = [];
                for (var i = 0; i < scope.maxValue; i++) {
                    scope.stars.push({
                        'fa-star-half-o': scope.ratingValue > i && scope.ratingValue < i + 1,
                        'fa-star': scope.ratingValue >= i + 1,
                        'fa-star i-unselected': scope.ratingValue <= i
                    });
                }
            });

            scope.updateStar = function(index, set) {
                if (attrs.read) {
                    return;
                }
                updateItem(index);
                if (set) {
                    ngModel.$setViewValue(parseInt(index) + 1);
                }
            };

            function updateItem(index) {
                if (index === -1) {
                    index = ngModel.$viewValue - 1;
                }
                $(element.find('i')).each(function(i) {
                    if (i <= index) {
                        $(this).removeClass('fa fa-star i-unselected').addClass('fa fa-star');
                    } else if (i > index) {
                        $(this).addClass('fa fa-star i-unselected');
                    }
                });
            }
        }
    }
})();
