(function() {
    'use strict';

    angular
        .module('app.dashboard')
        .controller('CategoryNavController', CategoryNavController);

    CategoryNavController.$inject = ['httpService', '$ionicSlideBoxDelegate', 'alertService'];

    function CategoryNavController(httpService, $ionicSlideBoxDelegate, alertService) {
        var vm = this;
        vm.categoryGroups = [];
        vm.maxCountPerPage = 4;
        vm.onCategoryClick = onCategoryClick;

        fetchCategories();

        ////////////////

        function fetchCategories() {
            var promise = httpService.get('category_list');
            promise.then(function(result) {
                var categories = result.data.categoryList;
                if (categories) {
                    while (categories.length) {
                        vm.categoryGroups.push(categories.splice(0, vm.maxCountPerPage));
                    }
                    $ionicSlideBoxDelegate.update();
                }
            });
        }

        function onCategoryClick(category) {
            alertService.autoShow(category.name);
        }
    }
})();
