(function () {
    'use strict';

    angular
        .module('app.order')
        .controller('ProductTypeController', ProductTypeController);

    ProductTypeController.$inject = ['httpService', '$ionicViewSwitcher', 'routerStateService', 'productSearchService'];

    function ProductTypeController(httpService, $ionicViewSwitcher, routerStateService, productSearchService) {
        var vm = this;
        vm.selectedType = productSearchService.getParam('productType');
        vm.getProductTypes = getProductTypes;
        vm.goToProductList = goToProductList;
        vm.productTypes = [{name: '全部', code: 0}];

        getProductTypes();

        ////////////////

        function getProductTypes() {
            var productTypes = httpService.get('product_types');
            productTypes.then(function (result) {
                vm.productTypes = vm.productTypes.concat(result.data.productTypes);
            });
        }

        function goToProductList(type) {
            productSearchService.setParam('productType', type.code);
            $ionicViewSwitcher.nextDirection('back');
            routerStateService.go('product-list');
        }
    }
})();
