(function () {
    'use strict';

    angular
        .module('app.dashboard')
        .controller('QuestionController', QuestionController);

    QuestionController.$inject = ['$scope', 'httpService'];

    function QuestionController($scope, httpService) {
        var vm = this;
        vm.msg = null;
        vm.sendQuestion = sendQuestion;

        ////////////////

        function sendQuestion() {
            if (vm.msg == null || vm.msg.length <= 0) {
                return;
            }
            var post_data = {
                'product_id': $scope.productID,
                'question': vm.msg
            };
            var promise = httpService.post('user/add_question', post_data);
            promise.then(function (result) {
                if (result.data.success === true) {
                    vm.msg = null;
                }
            });
        }
    }

})();
