(function () {
    'use strict';

    angular
        .module('app.dashboard')
        .controller('RecommendProductController', RecommendProductController);

    RecommendProductController.$inject = ['$rootScope', 'productSearchService', 'appConf'];

    function RecommendProductController($rootScope, productSearchService, appConf) {
        var vm = this;
        vm.disableAddToCartBtnInProductList = appConf.disableAddToCartBtnInProductList;
        vm.numLimit = appConf.maxItemsDisplayedInList;
        vm.products = [];

        fetchProducts();
        // refresh products according to current city
        $rootScope.$on('currentCity:changed', fetchProducts);

        ////////////////

        function fetchProducts() {
            var promise = productSearchService.search();
            promise.then(function (result) {
                vm.products = result.data.productList;
            });
        }
    }
})();
