(function () {
    'use strict';

    angular
        .module('app.order')
        .controller('PaymentController', PaymentController);

    PaymentController.$inject = ['$stateParams', '$ionicHistory', 'httpService', 'routerStateService', 'alertService'];

    function PaymentController($stateParams, $ionicHistory, httpService, routerStateService, alertService) {
        var vm = this;
        var type = 'alipay';
        vm.transId = $stateParams.transId;
        vm.goBack = goBack;
        vm.pay = pay;
        vm.selectType = selectType;

        ////////////////

        function goBack() {
            $ionicHistory.goBack(-2);
        }

        function pay() {
            if (type === 'alipay') {
                var promise = httpService.post('payment/' + vm.transId + '/alipay_app');
                promise.then(function (result) {
                    if (result.data.success) {
                        vm.transId = result.data.transId;
                        if (typeof cordova !== 'undefined') {
                            HBAlipay.pay(result.data.paymentQuery, 'arkenstone', onSuccess, onFailed);
                        } else {
                            alertService.autoShow('当前设备无法使用支付宝付款');
                        }
                    } else {
                        alertService.autoShow(result.data.errorResponse.errMsg);
                    }
                });
            } else if (type === 'wechat') {
                var promise = httpService.post('payment/' + vm.transId + '/wxpay_app');
                promise.then(function (result) {
                    if (result.data.success) {
                        vm.transId = result.data.transId;
                        if (typeof cordova !== 'undefined') {
                            HBWechat.pay(result.data.prepayReq, onSuccess, onFailed);
                        } else {
                            alertService.autoShow('当前设备无法使用微信付款');
                        }
                    } else {
                        alertService.autoShow(result.data.errorResponse.errMsg);
                    }
                });
            }
        }

        function selectType(_type) {
            type = _type;
        }

        function onFailed(message) {
            alertService.autoShow(message || '支付失败');
        }

        function onSuccess(message) {
            alertService.autoShow(message || '支付成功！');
            routerStateService.go('pay-success');
        }
    }
})();
