(function () {
    'use strict';

    angular
        .module('app.service')
        .factory('alertService', alertService);

    alertService.$inject = ['$templateRequest', '$timeout'];

    function alertService($templateRequest, $timeout) {
        var tpl = '';
        var height = $(window).height();
        var loader = $templateRequest('templates/partials/alert-box.html', true);
        loader.then(function(respones) {
            tpl = respones;
        });

        return {
            show: function(msg, top) {
                var t = top || height/4-30;
                this.$tpl = $(tpl);
                this.$tpl.find('.info-box').css('margin-top', t);
                this.$tpl.find('.text').text(msg);
                this.$tpl.appendTo(document.body);
            },
            autoShow: function(msg, top, ms) {
                var timeout_ms = ms || 2000;
                var self = this;
                this.show(msg, top);
                $timeout(function() {
                    self.close(200);
                }, timeout_ms);
            },
            close: function(seconds) {
                var self = this;
                if(seconds) {
                    this.$tpl.animate({
                        opacity: 0
                    }, seconds, function() {
                        self.$tpl.remove();
                    });
                } else {
                    this.$tpl.remove();
                }
            }
        };
    }
})();
