(function () {
    'use strict';

    angular
        .module('app.service')
        .factory('authService', authService);

    authService.$inject = ['$rootScope', 'localStorageService'];

    function authService($rootScope, localStorageService) {
        var userName;
        var service = {
            getAuthenticatedUser: getAuthenticatedUser,
            isAuthorized: isAuthorized,
            signIn: signIn,
            signOut: signOut,
            updateUser: updateUser
        };
        return service;

        ////////////////

        function getAuthenticatedUser() {
            return localStorageService.getObject('ArkenstoneUser');
        }

        function isAuthorized() {
            var user = getAuthenticatedUser();
            if (user) {
                userName = user.userName;
            }
            return user !== null;
        }

        function signIn(user) {
            userName = user.userName;
            localStorageService.setObject('ArkenstoneUser', user);
            $rootScope.$broadcast('cartService:refreshCart');
        }

        function signOut() {
            localStorageService.setObject('ArkenstoneUser', null);
            $rootScope.$broadcast('cartService:refreshCart');
            $rootScope.$broadcast('auth:signout');
        }

        function updateUser(user) {
            localStorageService.setObject('ArkenstoneUser', user);
        }
    }
})();
