(function() {
    'use strict';

    angular
        .module('app.service')
        .factory('httpService', httpService);

    httpService.$inject = ['$http'];

    function httpService($http) {
        var service = {
            get: get,
            post: post
        };
        return service;

        ////////////////

        function get(url, params) {
            params = params || {};
            params.scope = 'app';
            return $http({
                url: window.ArkenstoneAppSettings.baseApiUrl + url,
                method: 'GET',
                params: params,
                responseType: 'json'
            });
        }

        function post(url, data, config) {
            data = data || {};
            data.scope = 'app';
            config = config || {};
            config.responseType = 'json';
            return $http.post(
                window.ArkenstoneAppSettings.baseApiUrl + url,
                data, config);
        }
    }
})();
