(function () {
    'use strict';

    angular
        .module('app.service')
        .factory('localStorageService', localStorageService);

    localStorageService.$inject = ['$window'];

    function localStorageService($window) {
        var service = {
            getObject: getObject,
            getValue: getValue,
            setObject: setObject,
            setValue: setValue
        };
        return service;

        ////////////////

        function getObject(key) {
            return JSON.parse($window.localStorage[key] || 'null');
        }

        function getValue(key, defaultValue) {
            return $window.localStorage[key] || defaultValue;
        }

        function setObject(key, objData) {
            $window.localStorage[key] = JSON.stringify(objData);
        }

        function setValue(key, value) {
            $window.localStorage[key] = value;
        }
    }
})();
