(function () {
    'use strict';

    angular
        .module('app.service')
        .factory('productSearchService', productSearchService);

    productSearchService.$inject = ['appConf', 'httpService', 'currentCityService'];

    function productSearchService(appConf, httpService, currentCityService) {
        var params;
        resetParams();

        var service = {
            getParam: getParam,
            resetParams: resetParams,
            search: search,
            setParam: setParam
        };
        return service;

        function search(page, limit) {
            page = page || 0;
            limit = limit || appConf.maxItemsDisplayedInList;
            var data = {
                page: page,
                length: limit,
                keyword: params.keyword,
                ordered: params.orderBy[0],
                reverse: params.orderBy[1]
            };
            var city = currentCityService.getCurrentCity();
            if (city) {
                data.current_location = city.id;
            }
            if (params.productType) {
                data.product_type = params.productType;
            }
            return httpService.get('product_list', data);
        }

        function getParam(name) {
            return params[name];
        }

        function setParam(name, value) {
            params[name] = value;
        }

        function resetParams() {
            params = {
                productType: 0,
                keyword: '',
                orderBy: ['newest', true],
                province: 0
            };
        }
    }
})();
