(function () {
    'use strict';

    angular
        .module('app.service')
        .factory('routerStateService', routerStateService);

    routerStateService.$inject = ['$state'];

    function routerStateService($state) {
        var service = {
            go: go,
            getCurrentName: getCurrentName,
            reload: reload
        };
        return service;

        ////////////////

        function go(to, params, options) {
            if (to.indexOf('tab.') !== -1) {
                $state.go(to, params, options);
            } else {
                var currentState = getCurrentName(),
                    currentTab = null;
                if (currentState.indexOf('tab.') === -1) {
                    currentTab = currentState.split('-')[0];
                } else {
                    currentTab = currentState.split('.')[1];
                }
                $state.go(currentTab + '-' + to, params, options);
            }
        }

        function getCurrentName() {
            return $state.$current.name;
        }

        function reload() {
            $state.reload;
        }
    }
})();
