(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('AboutController', AboutController);

    AboutController.$inject = ['$scope', '$sce', 'modalManagerService', 'httpService'];

    function AboutController($scope, $sce, modalManagerService, httpService) {
        var vm = this;
        vm.closeModal = closeModal;
        vm.targetURL = '';

        init();

        ////////////////

        function init() {
            var promise = httpService.get('about_us_url');
            promise.then(function (result) {
                vm.targetURL = $sce.trustAsResourceUrl(result.data.url);
            });
        }

        function closeModal() {
            modalManagerService.closeModalByName('about', $scope);
        }
    }

})();
