(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('AccountController', AccountController);

    AccountController.$inject = ['httpService', 'authService'];

    function AccountController(httpService, authService) {
        var vm = this;
        vm.signOut = signOut;
        vm.user = null;

        fetchUser();

        ////////////////

        function fetchUser() {
            vm.user = authService.getAuthenticatedUser();
        }

        function signOut() {
            var promise = httpService.get('signout');
            promise.then(function (result) {
                authService.signOut();
                fetchUser();
            });
        }
    }
})();
