(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('ChargeRedemptionConController', ChargeRedemptionConController);

    ChargeRedemptionConController.$inject = ['alertService', 'httpService', 'routerStateService'];

    function ChargeRedemptionConController(alertService, httpService, routerStateService) {
        var vm = this;
        vm.redemptionCode = null;
        vm.chargeRedemption = chargeRedemption;

        function chargeRedemption() {
            var promise = httpService.post('charge_redemption_code', {code: vm.redemptionCode});
            promise.then(function(response) {
                if (response.data.success) {
                    routerStateService.go('user-credits');
                } else {
                    alertService.autoShow(response.data.errorResponse.errMsg);
                }
            });
        }
    }

})();
