(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('GeoLocationController', GeoLocationController);

    GeoLocationController.$inject = ['currentCityService', '$ionicPopup'];

    function GeoLocationController(currentCityService, $ionicPopup) {
        init();

        ///////////////////////////
        function init () {
            var city = currentCityService.getCurrentCity();
            // if city already set, don't touch GPS and gaode script at all
            if (!city) {
                // try to locate user's city by GPS
                currentCityService.locateByGPS()
                    .then(function (cityName) {
                        $ionicPopup.confirm({
                            title: '是否切换城市至' + cityName + '市',
                            okText: '确定',
                            cancelText: '取消'
                        }).then(function (confirmed) {
                            if (confirmed) {
                                currentCityService.setCurrentCityByName(cityName);
                            }
                        });
                    })

            }
        }
    }
})();
