(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('OrderInfoController', OrderInfoController);

    OrderInfoController.$inject = ['$scope', 'httpService', 'routerStateService',
        '$stateParams', 'appConst'];

    function OrderInfoController($scope, httpService, routerStateService, $stateParams, appConst) {
        var vm = this;
        vm.order = null;
        vm.orderRefund = orderRefund;
        $scope.appConst = appConst;

        readInfo();
        ////////////////

        function readInfo() {
            var promise = httpService.get('order/' + $stateParams.orderId);
            promise.then(function (result) {
                if (result.data.success && result.data.order) {
                    vm.order = result.data.order;
                }
            });
        }

        function orderRefund() {
            routerStateService.go('order-refund', {orderId: $stateParams.orderId});
        }

    }
})();
