(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('OrderRefundController', OrderRefundController);

    OrderRefundController.$inject = ['httpService', 'routerStateService', '$stateParams',
        '$ionicPopup', '$ionicViewSwitcher', 'alertService'];

    function OrderRefundController(httpService, routerStateService, $stateParams, $ionicPopup, $ionicViewSwitcher, alertService) {
        var vm = this;
        vm.reason = '';
        vm.voucher1 = null;
        vm.voucher2 = null;
        vm.voucher3 = null;
        vm.uploadImg = uploadImg;
        vm.removeImg = removeImg;
        vm.sendOrderRefundReq = sendOrderRefundReq;

        function uploadImg() {
            $('input[type=file]').each(function (index) {
                if ($(this).val() === '') {
                    $(this).click();
                    return false;
                }
                if (index === 2) {
                    alertService.autoShow('最多上传三张图片');
                }
            });
        }

        function removeImg(name) {
            $ionicPopup.confirm({
                title: '确认删除该图片吗',
                okText: '确定',
                okType: 'button-calm',
                cancelText: '取消'
            }).then(function (result) {
                if (result) {
                    var input_ctl = $('#' + name);
                    input_ctl.val('');
                    $('img#' + name + '-img').attr('src', '');
                    //$('img#' + name + '-img').css('display', 'none');
                    $('img#' + name + '-img').hide();
                }
            });
        }

        function sendOrderRefundReq() {
            if (vm.reason === '') {
                alertService.autoShow('请填写退款申请原因');
                return;
            }
            var data = new FormData();
            data.append('reason', vm.reason);
            if (vm.voucher1) {
                data.append('voucher-1', vm.voucher1);
            }
            if (vm.voucher2) {
                data.append('voucher-2', vm.voucher2);
            }
            if (vm.voucher3) {
                data.append('voucher-3', vm.voucher3);
            }

            var promise = httpService.post('order/' + $stateParams.orderId + '/refund', data, {
                transformRequest: angular.identity,
                headers: {'Content-Type': undefined}
            });
            promise.then(function (result) {
                if (result.data.success) {
                    $ionicViewSwitcher.nextDirection('back');
                    routerStateService.go('order-info', {orderId: $stateParams.orderId});
                }
            });
        }
    }
})();
