(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('OrderReviewController', OrderReviewController);

    OrderReviewController.$inject = ['$scope', 'httpService', 'modalManagerService'];

    function OrderReviewController($scope, httpService, modalManagerService) {
        var vm = this;
        vm.rating = 5;
        vm.review = '';
        vm.closeModal = closeModal;
        vm.onSend = onSend;

        function onSend() {
            var order_id = $scope.order.id;
            var promise = httpService.post('order/' + order_id + '/review', {
                rating: vm.rating,
                review: vm.review
            });
            promise.then(function (result) {
                if (result.data.success) {
                    modalManagerService.closeModalByName('orderReview', $scope, function (modal) {
                        modal.scope.reload = true;
                    });
                }
            });
        }

        function closeModal() {
            modalManagerService.closeModalByName('orderReview', $scope);
        }
    }
})();
