(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('SecuritySettingsController', SecuritySettingsController);

    SecuritySettingsController.$inject = ['routerStateService', 'authService'];

    function SecuritySettingsController(routerStateService, authService) {
        var vm = this;
        var user = null;
        vm.bindEmail = false;
        vm.bindMobile = false;
        vm.onChangePassword = onChangePassword;
        vm.onBindPhone = onBindPhone;
        vm.onBindEmail = onBindEmail;

        updateInfo();
        ////////////////

        function updateInfo() {
            user = authService.getAuthenticatedUser();
            vm.bindMobile = user.mobile ? true : false;
            vm.bindEmail = user.email ? true : false;
        }

        function onChangePassword() {
            routerStateService.go('change-password');
        }

        function onBindPhone() {
            routerStateService.go('bind-strategy', {
                type: 'phone',
                isBind: !user.mobile,
                typeValue: user.mobile
            });
        }

        function onBindEmail() {
            routerStateService.go('bind-strategy', {
                type: 'email',
                isBind: !user.email,
                typeValue: user.email
            });
        }

    }
})();
