(function() {
    'use strict';

    angular
        .module('app.user')
        .controller('SettingsController', SettingsController);

    SettingsController.$inject = ['$ionicPlatform', 'alertService', 'appConf', 'modalManagerService', '$scope'];

    function SettingsController($ionicPlatform, alertService, appConf, modalManagerService, $scope) {
        var vm = this;
        vm.clearCache = clearCache;
        vm.feedBack = feedBack;
        vm.scoreMe = scoreMe;
        vm.showAbout = showAbout;
        // Hide feedBack and scoreMe features on Android
        vm.isAndroid = $ionicPlatform.is('Android');

        ////////////////

        function feedBack() {
            cordova.plugins.settingService.feedback({
                success: function (msg) {
                },
                failed: function (msg) {
                    alertService.autoShow(msg);
                },
                address: 'support@ourdts.com',
                subject: '意见反馈',
                body: ''
            });
        }

        function clearCache() {
            cordova.plugins.settingService.clearCache({
                success: function (msg) {
                    alertService.autoShow(msg);
                },
                failed: function (msg) {
                    alertService.autoShow(msg);
                }
            });
        }

        function scoreMe() {
            cordova.plugins.settingService.rateApp({
                success: function (msg) {
                },
                failed: function (msg) {
                    alertService.autoShow(msg);
                },
                url: appConf.iosAppStoreUrl
            });
        }

        function showAbout() {
            modalManagerService.showModal('about', $scope);
        }
    }
})();
