(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('TermsController', TermsController);

    TermsController.$inject = ['$scope', '$sce', 'modalManagerService', 'httpService'];

    function TermsController($scope, $sce, modalManagerService, httpService) {
        var vm = this;
        vm.closeModal = closeModal;
        vm.targetURL = '';

        init();

        ////////////////

        function init() {
            var promise = httpService.get('terms_url');
            promise.then(function (result) {
                vm.targetURL = $sce.trustAsResourceUrl(result.data.url);
            });
        }

        function closeModal() {
            modalManagerService.closeModalByName('terms', $scope);
        }
    }

})();
