(function() {
    'use strict';

    angular
        .module('app')
        .controller('LocationController', LocationController);

    LocationController.$inject = ['$rootScope', 'currentCityService', '$window'];

    function LocationController($rootScope, currentCityService, $window) {
        var vm = this;
        vm.changeLocation = changeLocation;
        vm.currentLocation = '全国';
        vm.locations = [];

        init();
        $rootScope.$on('currentCity:changed', loadLocation);

        ////////////////

        function init() {
            currentCityService.fetchCities()
                .then(function(result) {
                vm.locations = result.data.provinceListWithCities;
            });
            loadLocation();
        }

        function loadLocation() {
            var city = currentCityService.getCurrentCity();
            if (city) {
                vm.currentLocation = city.name;
            } else {
                vm.currentLocation = '全国';
            }
        }

        function changeLocation(city) {
            if (city) {
                currentCityService.setCurrentCity(city);
                $window.location.href = '#/tab/dashboard';
            }
        }
    }
})();
